--- title: "Save method request body" slug: "apigateway-postrequestbody" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-postrequestbody" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Save method request body Available in Classic and VPC Add a request body to a customized method. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/products/{product-id}/apis/{api-id}/resources/{resource-id}/methods/{method-name}/request-body | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters The following descYou can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `product-id` | String | Required | ID of product the API belongs to - 0-10 characters - See [Get product list](/docs/en/apigateway-product-getproductlist). | | `api-id` | String | Required | ID of the API whose request body will be added - 1-10 characters - See [Get API](/docs/en/apigateway-api-apis). | | `resource-id` | String | Required | ID of the target resource in the API - 1-10 characters - See [Get resource list](/docs/en/apigateway-resource-getresourcelist). | | `method-name` | String | Required | Target method type - `ANY` \| `GET` \| `POST` \| `PUT` \| `DELETE` \| `PATCH` \| `OPTIONS` \| `HEAD` | ### Request syntax The request syntax is as follows: ``` { "bodyName" : "bodyName", "modelId" : "modelId", "bodyDescription" : "bodyDescription" } ``` ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `bodyName` | String | Required | Name of the request body to save - 0-100 characters | | `modelId` | String | Required | ID of the model to apply - Use pre-created model. - Check available models through the [Get model](/doc/apigateway-getmodels) action. | | `bodyDescription` | String | Optional | Description of the request body - 0-2000 characters | ### Request example The request example is as follows: ``` curl --location --request POST 'https://apigateway.apigw.ntruss.com/api/v1/products/********o9/apis/cvcohvd2xj/resources/tf73xuex0v/methods/PATCH/request-body' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "bodyName" : "patchbody", "modelId" : "qw33h0i33i", "bodyDescription" : "api key body" }' ``` ## Response This section describes the response format. ### Response syntax The response syntax is as follows: ``` { "modelId" : "modelId", "modelName" : "modelName", "bodyName" : "bodyName", "bodyDescription" : "bodyDescription" } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "modelId": "qw33h0i33i", "modelName": "ApiKeyDto", "bodyName": "patchbody", "bodyDescription": "api key body" } ```